Subject: Re: [PATCH 5/5] net: Make AF_UNIX per network namespace safe.

From: Patrick McHardy <[email-masked]>
Date: Sat, 29 Sep 2007 17:47:56 +0200

Eric W. Biederman wrote:
> Because of the global nature of garbage collection, and because of the
> cost of per namespace hash tables unix_socket_table has been kept
> global.  With a filter added on lookups so we don't see sockets from
> the wrong namespace.
> 
> Currently I don't fold the namesapce into the hash so multiple
> namespaces using the same socket name will be guaranteed a hash
> collision.

That doesn't sound like a good thing :) Is there a reason for
not avoiding the collisions?